Package org.apache.commons.math3.fitting.leastsquares

# Interface ParameterValidator

public interface ParameterValidator
Interface for validating a set of model parameters.

Since:
  3.4

## Method Summary

Modifier and Type
Method
Description
`RealVector`
`validate(RealVector params)`
Validates the set of parameters.

## Method Details

### validate

RealVector validate(RealVector params)
Validates the set of parameters.

Parameters:
  `params` - Input parameters.
Returns:
  the validated values.